Subject: bug#20975: closed (Re: bug#20975: Replacing text add also the comma)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Jul 2015 21:33:02 +0000

Your bug report

#20975: Replacing text add also the comma

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20975: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20975
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20975: Replacing text add also the comma
From: Artur Malabarba <[email-masked]>
To: [email-masked]
Date: Sun, 5 Jul 2015 22:32:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Great. Closing then.

2015-07-05 22:07 GMT+01:00 Angelo Graziosi <[email-masked]>:
>
>
> Il 05/07/2015 17:47, Artur Malabarba ha scritto:
>>
>> Should be fixed by 5516728
>>
>> Angelo, does it work for you?
>
>
> Oh yes, it seems to work just fine now.. :)
>
> Thank you!
>
> Angelo
>
>
>
>>
>> 2015-07-05 3:46 GMT+01:00 Eli Zaretskii <[email-masked]>:
>>>>
>>>> Date: Sat, 4 Jul 2015 22:31:45 +0100
>>>> From: Artur Malabarba <[email-masked]>
>>>> Cc: [email-masked], Angelo Graziosi <[email-masked]>
>>>>
>>>> If no one has a different opinion, I'll add a clause so that a
>>>> decomposition is
>>>> folded only if it contains at least one non-spacing character. (though
>>>> I'm not
>>>> sure how to check for this, at the phone right now).
>>>
>>>
>>> You could look at the character's 'canonical-combining-class' property
>>> (should be non-zero).  Or you could look at its 'general-category',
>>> and allow only those whose value is one of Mc, Mn, Me.

Subject: Replacing text add also the comma
From: Angelo Graziosi <[email-masked]>
To: [email-masked]
Date: Sat, 04 Jul 2015 00:15:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Suppose one has a file with this text

$ cat foo.log
abcd r8 efg
foo(a_r8,b_r8,c_r8)

Try to replace 'r8' with 'DP', i.e. in the minibuffer,

M-% <RETURN>
Query replace:
r8 <RETURN>
Query replace r8 with: DP

The 'r8' on the first row is replaced correctly while on the second row 
also the comma is added to the text 'r8' to be replaced.

foo.log becomes

$ cat foo.log
abcd DP efg
foo(a_DPb_DPc_DP)

Soppose, now, that foo(a_r8,b_r8,c_r8) is a Fortran/C/C++ routine...

Is this intentional or a bug?

I discovered this with recent (master) builds on MSYS2-MINGW64 (64bit 
Windows native). I suspect this also regards the builds on other systems..

Angelo